%define qtdir   %{_prefix}/lib/qt3
%define _requires_exceptions perl(\\(OpenGL\\|QtShell\\|QtShellControl\\))

Name: perl-Qt
Version: 3.008
Release: %mkrel 11
Summary: Perl modules and utilities for using the Qt 3 Toolkit
Group: Development/Perl
License: GPL
URL: http://perlqt.sourceforge.net/
Source: PerlQt-%{version}.tar.bz2
Patch0: %name-doc.patch
Patch1: PerlQt-3.008-kdedirs.patch
Patch2: PerlQt-3.008-optimize.patch
BuildRoot: 	%_tmppath/%name-%version-%release-root
BuildRequires: qt3-devel
BuildRequires: smoke-devel >= 3.5.1
BuildRequires: kdelibs-devel
BuildRequires: perl-devel
BuildRequires: automake1.7

%description
PerlQt is a comprehensive Perl Object Oriented interface
to the Qt GUI Toolkit. It also provides several introspection
tools (pqtapi, pqtsh). For a powerful PerlQt RAD tool, check
also the pqt-designer package.

%prep
rm -rf %buildroot
%setup -q -n PerlQt-%{version}
%patch -p0
%patch1 -p0 -b .kdedirs
%patch2 -p0 -b .optimize

%build
export QTDIR=%qtdir
export LD_LIBRARY_PATH="$QTDIR:/%_lib:$LD_LIBRARY_PATH"
export PATH="$PATH:$QTDIR/bin"

export CFLAGS="%optflags" CXXFLAGS="%optflags" 

# Very old package. we * need * relay on this :-(
aclocal-1.7 && autoheader-2.5x && autoconf-2.5x && automake-1.7 -f -c -a

./configure \
   --prefix=%_prefix \
   --datadir=%_datadir \
   --sysconfdir=%_sysconfdir \
   --libdir=%_libdir \
   --mandir=%_mandir \
   --with-qt-libraries=%qtdir/%_lib \
   --with-kde-libraries=%_libdir 

%make

%install
%makeinstall_std INSTALLDIRS=vendor

%clean
rm -fr %buildroot

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog README TODO doc PerlQt/examples PerlQt/tutorials
%_bindir/*
%_mandir/*/*
%{perl_vendorarch}/*





%changelog
* Tue Jan 15 2008 Thierry Vignaud <tvignaud@mandriva.com> 3.008-11mdv2008.1
+ Revision: 152245
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sat May 05 2007 Olivier Thauvin <nanardon@mandriva.org> 3.008-10mdv2008.0
+ Revision: 23125
- fix requires (#30646)

* Sun Apr 29 2007 Olivier Thauvin <nanardon@mandriva.org> 3.008-9mdv2008.0
+ Revision: 19283
- fix patch2, don't use shell if inside m4 code


* Fri Mar 03 2006 Helio Chissini de Castro <helio@mandriva.com>
+ 2006-03-03 01:54:54 (1846)
- Added new patches from optimization and kde tes ( from opensuse)
- Small refactor of package. Now installs on x86 and x86_64 wihtout problem
- Build against new kdebindings layout. This enables per-Qt use just libsmoke,
  instead of requires all kdelibs and kdebase packages. Now a small set of
  libraries is needed ( qt included )
- puic ( perl uic ) for dynamic dialogs now is right generated

* Fri Mar 03 2006 Helio Chissini de Castro <helio@mandriva.com>
+ 2006-03-03 01:06:04 (1845)
- perl-Qt is now on svn. Thanks to Rafael to pass the maintainership.

* Tue Dec 07 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 3.008-6mdk
- Rebuild for new perl
- Don't remove perllocal.pod, this is evil

* Tue Jun 08 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.008-5mdk
- fix buildrequires
- rebuild for new g++

* Fri Dec 12 2003 Jaco Greeff <jaco@mandrake.org> 3.008-4mdk
- Rebuilt
- Remove libsmokeqt require, picked-up by RPM now

* Mon Oct 06 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.008-3mdk
- make it installable and usable (fix requires)

* Wed Sep 24 2003 Olivier Blin <oliv.blin@laposte.net> 3.008-2mdk
- Initial Mandrake package (from Germain Garand)
- fix BuildRequires
- remove redundant Requires
- do not own dirs in %%files section

* Mon Sep 22 2003 Germain Garand <germain@ebooksfrance.org> 3.008-1mdk
- updated for 3.008 version. More Mdk standard compliancy.

* Mon Apr 07 2003 Germain Garand <germain@ebooksfrance.org> 3.006-3mdk
- Splitted PerlQt/Smoke in two packages

